// add custom node under 'root' by enhancing its getChildren() method
nodeHandlers.root.override({
    getChildren: function ($super, node) {
        return new Promise(function (resolve, reject) {
            $super(node).then(function () {
                if(!webApp)
                    node.addChild(null, 'webBrowserFull');
                resolve();
            });
        });
    },
});

nodeHandlers.webBrowserFull = inheritNodeHandler('webBrowserFull', 'Base', {
    title: function (dataSource) {
        return 'Web browser';
    },
    icon: 'internet',
    hasChildren: false,
    viewAs: ['webBrowserFull'],
});

viewHandlers.webBrowserFull = inheritHandler('webBrowserFull', 'Base', {
    statusbar: false,
    controlClass: 'WebBrowser',
    initCode: function (control, view) {
        var url = 'www.mediamonkey.com';
        control.controlClass.url = url;
    },
});